struct hrtimer_clock_base
Prev | High-resolution timers | Next

## Name

struct hrtimer_clock_base — the timer base for a specific clock

## Synopsis

    struct hrtimer_clock_base {
      struct hrtimer_cpu_base * cpu_base;
      clockid_t index;
      struct rb_root active;
      struct rb_node * first;
      ktime_t resolution;
      ktime_t (* get_time) (void);
      ktime_t (* get_softirq_time) (void);
      ktime_t softirq_time;
    #ifdef CONFIG_HIGH_RES_TIMERS
      ktime_t offset;
      int (* reprogram) (struct hrtimer *t,struct hrtimer_clock_base *b,ktime_t n);
    #endif
    };

## Members

cpu_base

  per cpu clock base

index

  clock type index for per_cpu support when moving a timer to a base on another cpu.

active

  red black tree root node for the active timers

first

  pointer to the timer node which expires first

resolution

  the resolution of the clock, in nanoseconds

get_time

  function to retrieve the current time of the clock

get_softirq_time

  function to retrieve the current time from the softirq

softirq_time

  the time when running the hrtimer queue in the softirq

offset

  offset of this clock to the monotonic base

reprogram

  function to reprogram the timer event

Prev | Up | Next
struct hrtimer_sleeper | Home | ktime_get